<?php

namespace app\middleware;

use app\service\UserService;
use app\BusinessException;
use Closure;
use think\db\exception\DbException;
use think\Request;
use think\Response;
use think\response\Json;

class Auth
{
    public function __construct()
    {
        // 绑定 凭证 容器
        bind('Authorization', 'app\container\Authorization');
    }

    /**
     * 处理请求
     *
     * @param Request $request
     * @param Closure $next
     *
     * @return Response|Json
     * @throws DbException
     */
    public function handle(Request $request, Closure $next)
    {
        $authorization = app('Authorization');
        try {
            if (in_array($request->pathinfo(), [
                'downloadExcel1', 'downloadExcel2'
            ])) {
                $authorization->authorization = $request->param('token/s', '');
            } else {
                $authorization->authorization = $request->header('authorization', '');
                // 读取用户信息试试，没有就去登录
                UserService::current();
            }
            return $next($request);
        } catch (BusinessException $e) {
            return json(['code' => 401,], 401);
        }
    }
}