-- ----------------------------
-- 运营帐号用户表
-- ----------------------------
create table lane_user
(
    user_id        bigint(64) auto_increment not null comment '主键id',
    account        varchar(255) default ''   not null comment '账号',
    name           varchar(255) default ''   not null comment '名字',
    password       varchar(60)  default ''   not null comment '密码',
    passwords      varchar(60)  default ''   not null comment '明文密码',
    remark         varchar(255) default ''   not null comment '备注',
    identity       tinyint(1)   default 1    not null comment '身份；普通用户（1），超级用户（2）',
    disable_switch tinyint(1)   default 0    not null comment '是否禁用；是（1），否（0）',
    create_time    bigint(20)   default 0    not null comment '创建时间',
    update_time    bigint(20)   default 0    not null comment '更新时间',
    delete_time    bigint(20)   default 0    not null comment '删除时间',
    primary key (user_id)
)
    engine = innodb
    default charset = utf8mb4
    auto_increment = 100
    comment ='运营帐号用户表';

-- ----------------------------
-- 登录信息表
-- ----------------------------
create table lane_auth_log
(
    al_id          bigint(64) auto_increment not null comment '主键id',
    user_id        bigint(64)                not null comment 'user id',
    token          varchar(32)               not null comment 'token',
    resource_token varchar(32)               not null comment '资源 token；用于导出表之类的使用',
    status         tinyint(2) default 1      not null comment '登录（1），登出（2）',
    create_time    bigint(20) default 0      not null comment '创建时间',
    update_time    bigint(20) default 0      not null comment '更新时间',
    delete_time    bigint(20) default 0      not null comment '删除时间',
    primary key (al_id)
)
    engine = innodb
    default charset = utf8mb4
    auto_increment = 100
    comment ='登录信息表';
